Next: ICHAR, Previous: IBITS, Up: Intrinsic Procedures

### 8.142 `IBSET` — Set bit

Description:
  `IBSET` returns the value of I with the bit at position POS set to one.
Standard:
  Fortran 90 and later, has overloads that are GNU extensions
Class:
  Elemental function
Syntax:
  `RESULT = IBSET(I, POS)`
Arguments:

  I | The type shall be `INTEGER`.
  POS | The type shall be `INTEGER`.

Return value:
  The return value is of type `INTEGER` and of the same kind as I.
Specific names:

  Name | Argument | Return type | Standard
  --- | --- | --- | ---
  `IBSET(A)` | `INTEGER A` | `INTEGER` | Fortran 90 and later
  `BBSET(A)` | `INTEGER(1) A` | `INTEGER(1)` | GNU extension
  `IIBSET(A)` | `INTEGER(2) A` | `INTEGER(2)` | GNU extension
  `JIBSET(A)` | `INTEGER(4) A` | `INTEGER(4)` | GNU extension
  `KIBSET(A)` | `INTEGER(8) A` | `INTEGER(8)` | GNU extension

See also:
  IBCLR, IBITS, IAND, IOR, IEOR, MVBITS